Package org.opensaml.saml.saml1.core

# Interface Conditions

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `ConditionsImpl`

public interface Conditions extends SAMLObject
This interface defines how the object representing a SAML1 `Conditions` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`NOTBEFORE_ATTRIB_NAME`
Name for the NotBefore attribute.
`static final QName`
`NOTBEFORE_ATTRIB_QNAME`
QName for the NotBefore attribute.
`static final String`
`NOTONORAFTER_ATTRIB_NAME`
Name for the NotOnOrAfter attribute.
`static final QName`
`NOTONORAFTER_ATTRIB_QNAME`
QName for the NotOnOrAfter attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AudienceRestrictionCondition>`
`getAudienceRestrictionConditions()`
Get the audience restriction conditions.
`List<Condition>`
`getConditions()`
Get the conditions.
`List<Condition>`
`getConditions(QName typeOrName)`
Get the conditions with the given schema type or element name.
`List<DoNotCacheCondition>`
`getDoNotCacheConditions()`
Get the "do not cache" conditions.
`Instant`
`getNotBefore()`
Get the "not before" condition.
`Instant`
`getNotOnOrAfter()`
Get the "not on or after" condition.
`void`
`setNotBefore(Instant notBefore)`
Set the "not before" condition.
`void`
`setNotOnOrAfter(Instant notOnOrAfter)`
Set the "not on or after" condition.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NOTBEFORE_ATTRIB_NAME

@Nonnull static final String NOTBEFORE_ATTRIB_NAME
Name for the NotBefore attribute.

See Also:
  - Constant Field Values

### NOTBEFORE_ATTRIB_QNAME

@Nonnull static final QName NOTBEFORE_ATTRIB_QNAME
QName for the NotBefore attribute.

### NOTONORAFTER_ATTRIB_NAME

@Nonnull static final String NOTONORAFTER_ATTRIB_NAME
Name for the NotOnOrAfter attribute.

See Also:
  - Constant Field Values

### NOTONORAFTER_ATTRIB_QNAME

@Nonnull static final QName NOTONORAFTER_ATTRIB_QNAME
QName for the NotOnOrAfter attribute.

## Method Details

### getNotBefore

@Nullable Instant getNotBefore()
Get the "not before" condition.

Returns:
  the "not before" condition

### setNotBefore

void setNotBefore(@Nullable Instant notBefore)
Set the "not before" condition.

Parameters:
  `notBefore` - the "not before" condition

### getNotOnOrAfter

@Nullable Instant getNotOnOrAfter()
Get the "not on or after" condition.

Returns:
  the "not on or after" condition

### setNotOnOrAfter

void setNotOnOrAfter(@Nullable Instant notOnOrAfter)
Set the "not on or after" condition.

Parameters:
  `notOnOrAfter` - the "not on or after" condition

### getConditions

@Nonnull @Live List<Condition> getConditions()
Get the conditions.

Returns:
  the conditions

### getConditions

@Nonnull @Live List<Condition> getConditions(@Nonnull QName typeOrName)
Get the conditions with the given schema type or element name.

Parameters:
  `typeOrName` - the schema type or element name
Returns:
  the matching conditions

### getAudienceRestrictionConditions

@Nonnull @Live List<AudienceRestrictionCondition> getAudienceRestrictionConditions()
Get the audience restriction conditions.

Returns:
  the audience restriction conditions

### getDoNotCacheConditions

@Nonnull @Live List<DoNotCacheCondition> getDoNotCacheConditions()
Get the "do not cache" conditions.

Returns:
  the "do not cache" conditions